﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
  <DisplayInfo Title="MARPLOT" Publisher="NOAA, EPA" Version="" ReleaseDate="">
    <UserCategories>
    </UserCategories>
    <SoftwareCategories>
    </SoftwareCategories>
  </DisplayInfo>
  <DeploymentType Title="" Architecture="x86" Technology="Script" DetectionMethod="Script" ContentLocation="\\server01\sources$\NOAA\MARPLOT\archive\{SoftwareVersion}\win_{Architecture}\">
    <UninstallCommand>"Deploy-Application.exe" UNINSTALL</UninstallCommand>
    <InstallCommand>"Deploy-Application.exe" INSTALL</InstallCommand>
    <DetectionScript RunAs32Bit="False" Language="PowerShell">
		<TEXT>
$DisplayName = '{DetectionName}'
$DisplayVersion = '{DetectionVersion}'
$Architecture = '{Architecture}'
$DetectionRegPath = '{DetectionRegPath}'
$RegKeyList = Get-ChildItem -Path $DetectionRegPath | Where-Object {$_.GetValue('DisplayName') -like "$DisplayName*"}
if($RegKeyList) {
    $RegKey = $RegKeyList | Where-Object {[version]$_.GetValue('DisplayVersion') -ge [version]$DisplayVersion}
    if($RegKey) {
        return $true
    }
}	
		</TEXT>
    </DetectionScript>
  </DeploymentType>
</Application>